Skip to main content
PATCH
/
v2
/
taxcodes
/
update
Updates an existing tax code
curl --request PATCH \
  --url https://api.jtl-cloud.com/erp/v2/taxcodes/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "cashDiscountAccount": "<string>",
  "generalLedgerAccount": "<string>",
  "isAutomatic": true,
  "name": "<string>",
  "number": 123
}
'

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

api-version
string
x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Body

application/json

Request parameters

Updates an existing tax code - Request

id
string<uuid>

The ID of the tax code to update

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

cashDiscountAccount
string

The cash discount account of the tax code

generalLedgerAccount
string

The general ledger account of the tax code

isAutomatic
boolean

Whether this tax code is automatic

name
string

The name of the tax code

number
integer<int32>

The number of the tax code. Can only be changed when the tax code is not referenced.

Response

200 - application/json

Tax code was successfully updated.